aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-sensehat/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-03-16 21:00:07 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-03-18 08:15:21 +0000
commit0f1e7529aaab8fe33f72f9134fdce252ae886f81 (patch)
treebff399449f3c56a5abf81bf7366ca8ca58ac3e22 /testing/py-sensehat/APKBUILD
parent154adeff1df77a21fa1a949ff381c058f7974aa8 (diff)
downloadaports-0f1e7529aaab8fe33f72f9134fdce252ae886f81.tar.bz2
aports-0f1e7529aaab8fe33f72f9134fdce252ae886f81.tar.xz
testing/py-sensehat: new aport
Python module to control the Raspberry Pi Sense HAT https://www.raspberrypi.org/products/sense-hat ref #5195, [TT: Fix arch, license and whitespace]
Diffstat (limited to 'testing/py-sensehat/APKBUILD')
-rw-r--r--testing/py-sensehat/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/py-sensehat/APKBUILD b/testing/py-sensehat/APKBUILD
new file mode 100644
index 0000000000..bfad9a50a7
--- /dev/null
+++ b/testing/py-sensehat/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=py-sensehat
+_pkgname=python-sense-hat
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="Python module to control the Raspberry Pi Sense HAT"
+url="https://www.raspberrypi.org/products/sense-hat/"
+arch="armhf"
+license="BSD-3"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="$_pkgname-$pkgver.tar.gz::https://github.com/RPi-Distro/${_pkgname}/archive/v${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${_pkgname}-${pkgver}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="eec4a6d9d718232f69475f17cd3864c2 python-sense-hat-2.1.0.tar.gz"
+sha256sums="fdc26c296955b7b7cca9279e4cbe309b835afbd4912e0b46cbeac20051ff84e5 python-sense-hat-2.1.0.tar.gz"
+sha512sums="f1d6e1d152ec226702f63cd2ce72e76994bb2106eda5a0d22ea04bdc3021640a45f82c2f927fc24bda6de572bd328f72d3632dd73e05ddd1ccfbc1ee39d3f61b python-sense-hat-2.1.0.tar.gz"